import { compileClassNames } from '@zohodesk/utils';
/**
 * container classname based on js state
 * @param {object} props multiselect props
 * @param {object} style multiselect syle
 * @returns {object} object of classnames string with space separate
 */

export default function (props, style) {
  let {
    color,
    variant,
    size,
    shape,
    active,
    hovered,
    disabled,
    readonly
  } = props;
  return compileClassNames({
    [style.base]: true,
    [style.select]: true,
    [style[size]]: !!size,
    [style[variant]]: !!variant,
    [style[color]]: !!color,
    [style[shape]]: !!shape,
    [style.active]: !!active,
    [style.hovered]: !!hovered,
    [style.disabled]: !!disabled,
    [style.readonly]: !!readonly
  });
}